{
  "name": "endorian-public-libraries",
  "version": "0.0.0",
  "license": "MIT",
  "scripts": {
    "prepare": "husky",
    "format:write": "nx format:write",
    "affected:stylelint": "nx affected --target=stylelint --parallel",
    "affected:stylelint:fix": "nx affected --target=stylelint --parallel -- --fix",
    "affected:lint": "nx affected:lint --parallel",
    "affected:lint:fix": "nx affected:lint --parallel --fix",
    "affected:test": "nx affected:test --parallel"
  },
  "private": false,
  "devDependencies": {
    "@commitlint/cli": "19.5.0",
    "@commitlint/config-conventional": "19.5.0",
    "@eslint/eslintrc": "3.1.0",
    "@nx/esbuild": "20.0.5",
    "@nx/eslint": "20.0.5",
    "@nx/eslint-plugin": "20.0.5",
    "@nx/jest": "20.0.5",
    "@nx/js": "20.0.5",
    "@nx/node": "20.0.5",
    "@nx/rollup": "20.0.5",
    "@semantic-release/gitlab": "9.5.1",
    "@theunderscorer/nx-semantic-release": "2.12.0",
    "@types/jest": "29.5.14",
    "@types/node": "22.8.0",
    "@typescript-eslint/eslint-plugin": "8.11.0",
    "@typescript-eslint/parser": "8.11.0",
    "esbuild": "0.24.0",
    "eslint": "9.13.0",
    "eslint-config-prettier": "9.1.0",
    "expect": "29.7.0",
    "husky": "9.1.6",
    "jest": "29.7.0",
    "jest-environment-node": "29.7.0",
    "lint-staged": "15.2.10",
    "nx": "20.0.5",
    "prettier": "3.3.3",
    "ts-jest": "29.2.5",
    "ts-node": "10.9.2",
    "typescript": "5.6.3",
    "typescript-eslint": "8.11.0",
    "verdaccio": "6.0.1"
  },
  "dependencies": {
    "tslib": "2.8.0"
  },
  "lint-staged": {
    "**/*": [
      "nx format:write"
    ],
    "**/*.{js,jsx,ts,tsx}": [
      "nx affected:lint --parallel --fix"
    ],
    "**/*.css": [
      "nx affected --target=stylelint --parallel -- --fix=true"
    ]
  },
  "packageManager": "pnpm@9.12.2+sha512.22721b3a11f81661ae1ec68ce1a7b879425a1ca5b991c975b074ac220b187ce56c708fe5db69f4c962c989452eee76c82877f4ee80f474cebd61ee13461b6228",
  "pnpm": {
    "updateConfig": {
      "ignoreDependencies": [
        "@semantic-release/gitlab"
      ]
    }
  }
}
